# We need to ship both versions of the EPL
# Some plug-ins are moving to EPL 2, but some plug-ins might stay with EPL 1
%global eplv2_ver 2.0.1
%global eplv2_tag org.eclipse.license-license-%{eplv2_ver}.v20180423-1114
%global eplv1_ver 1.0.1
%global eplv1_tag org.eclipse.license-license-%{eplv1_ver}.v20140414-1359

Name:      eclipse-license
Version:   %{eplv2_ver}
Release:   %mkrel 3
Group:     Development/Java
Summary:   Shared license features for Eclipse
License:   EPL-1.0 and EPL-2.0
URL:       http://wiki.eclipse.org/CBI
Source1:   http://git.eclipse.org/c/cbi/org.eclipse.license.git/snapshot/%{eplv1_tag}.tar.bz2
Source2:   http://git.eclipse.org/c/cbi/org.eclipse.license.git/snapshot/%{eplv2_tag}.tar.bz2

BuildArch: noarch

# Upstream Eclipse no longer supports non-64bit arches
ExcludeArch: s390 %{arm} %{ix86}

BuildRequires: tycho

%description
Shared license features for Eclipse. Other features may consume these
features to avoid unnecessary duplication of license boiler plate.

%package -n %{name}1
Version:   %{eplv1_ver}
Summary:   Shared EPL v1.0 license feature for Eclipse
License:   EPL-1.0
# Provides/Obsoletes added in F28
Provides:  eclipse-license = %{eplv1_ver}-20
Obsoletes: eclipse-license < %{eplv2_ver}-%{release}

%description -n %{name}1
Shared license feature for Eclipse. Other features may consume this
feature to avoid unnecessary duplication of license boiler plate.

%package -n %{name}2
Version:   %{eplv2_ver}
Summary:   Shared EPL v2.0 license feature for Eclipse
License:   EPL-2.0

%description -n %{name}2
Shared license feature for Eclipse. Other features may consume this
feature to avoid unnecessary duplication of license boiler plate.

%prep
%setup -q -c -T

tar xf %{SOURCE1}
tar xf %{SOURCE2}

%pom_remove_plugin ":tycho-packaging-plugin" */pom.xml

%build
pushd %{eplv1_tag}
%mvn_build -j
popd

pushd %{eplv2_tag}
sed -i -e 's/\(-SNAPSHOT\|\.qualifier\)/.v20180423-1114/' pom.xml */*.xml
%mvn_build -j
popd

%install
pushd %{eplv1_tag}
%mvn_package "::pom::" __noinstall
%mvn_package ":" 1
%mvn_install
popd

# Remove exploded tycho external bundles zipfile in case we are operating
# in bootstrap mode
rm -rf /tmp/tycho-bundles-external*

pushd %{eplv2_tag}
%mvn_package "::pom::" __noinstall
%mvn_package ":" 2
%mvn_install
popd

%files -n %{name}1 -f %{eplv1_tag}/.mfiles-1
%license %{eplv1_tag}/org.eclipse.license/*.html

%files -n %{name}2 -f %{eplv2_tag}/.mfiles-2
%license %{eplv2_tag}/org.eclipse.license/*.html



%changelog
* Sat Feb 15 2020 umeabot <umeabot> 2.0.1-3.mga8
+ Revision: 1527630
- Mageia 8 Mass Rebuild

* Fri Jul 19 2019 daviddavid <daviddavid> 2.0.1-2.mga8
+ Revision: 1422711
- Restrict to same architectures as Eclipse itself

* Fri Dec 14 2018 neoclust <neoclust> 2.0.1-1.mga7
+ Revision: 1341158
- New version 2.0.1

* Tue Sep 18 2018 umeabot <umeabot> 1.0.1-12.mga7
+ Revision: 1261690
- Mageia 7 Mass Rebuild

* Wed Mar 02 2016 neoclust <neoclust> 1.0.1-11.mga6
+ Revision: 981948
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 1.0.1-10.mga6
+ Revision: 975794
- First rebuild of the java stack
- sync package eclipse-license with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Dec 26 2014 pterjan <pterjan> 1.0.1-2.mga5
+ Revision: 806297
- Clean rebuild
- Mageify
- imported package eclipse-license


* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 09 2014 Mat Booth <mat.booth@redhat.com> - 1.0.1-3
- Update to latest upstream.

* Thu Mar 13 2014 Mat Booth <mat.booth@redhat.com> - 1.0.0-2
- Use Xmvn.

* Thu Mar 13 2014 Mat Booth <mat.booth@redhat.com> - 1.0.0-1
- Initial version of license shared feature.

